Page MenuHomePhabricator

Enable ContentTranslation in the Ukrainian Wikipedia
Closed, ResolvedPublic

Description

Common source languages: English, Russian, Polish, German (French, Spanish, Italian - less common).

The discussion page was here

Event Timeline

Piramidion updated the task description. (Show Details)
Piramidion raised the priority of this task from to Normal.
Piramidion added a project: ContentTranslation.
Piramidion added a subscriber: Piramidion.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 2:25 PM

Ukrainian is available as target language in http://en.wikipedia.beta.wmflabs.org/wiki/Special:ContentTranslation for testing now. Please report any issues you see. Please try translating some articles. There is no machine translation, but all other translation tools like automatic link, category, image, reference adaptation should work.

It is a beta feature, you may need to enable it if not done already.

Arrbee moved this task from Unscheduled to June 2015 on the Roadmap board.

@santhosh: I've just tried to translate an article on beta-wiki. I can already tell that nearly everything works fine. I noticed some issues but they are not related to the target language and they've already been reported and are being worked upon. Categories were chosen correctly, links were adopted correctly.

Only two things: if there's no corresponding article on ukwiki, the extension leaves plain text instead of a red link (I think it is such a setting and is OK?) The other issue was with images - while translating captions with links, all the links became red, no matter if there is a corresponding article on ukwiki or there is not.

If I could publish this translation, I would perhaps find some other issues (or answers), but I couldn't (I guess I know why, no need to explain). But even now it makes translation easier and more convenient.

Change 199191 had a related patch set uploaded (by KartikMistry):
config: Add languages and MT support

https://gerrit.wikimedia.org/r/199191

Change 199191 merged by jenkins-bot:
config: Add languages and MT support

https://gerrit.wikimedia.org/r/199191

Restricted Application added a project: Notice. · View Herald TranscriptMar 25 2015, 3:54 AM
gpaumier moved this task from Backlog to Triaged on the Notice board.Mar 25 2015, 9:52 PM

Change 199822 had a related patch set uploaded (by KartikMistry):
cx: Add Kannada (kn) and Ukranian (uk) in target wikis

https://gerrit.wikimedia.org/r/199822

Change 199823 had a related patch set uploaded (by KartikMistry):
cx: Enable ContentTranslation in Kannada (kn) and Ukranian (uk) wikis

https://gerrit.wikimedia.org/r/199823

Change 199822 merged by Alexandros Kosiaris:
cx: Add Kannada (kn) and Ukrainian (uk) in target wikis

https://gerrit.wikimedia.org/r/199822

Change 199823 merged by jenkins-bot:
cx: Enable ContentTranslation in Kannada (kn) and Ukrainian (uk) wikis

https://gerrit.wikimedia.org/r/199823

Eloquence moved this task from June 2015 to March 23-27 on the Roadmap board.Mar 27 2015, 5:48 AM
santhosh closed this task as Resolved.Mar 27 2015, 10:37 AM
santhosh claimed this task.

@Piramidion , Content Translation is enabled in uk wiki as a beta feature!. Please communicate it widely with your friends and start translating :)

gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:46 PM